/*
Copyright (c) 2012, Petr Pehal, Jakub Šplíchal, Rostislav Stríž,

All rights reserved.

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

    Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
    Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer
    in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/
/*************************************************************************************************
**
** file:    ToolbarView.qml
** date:    10.12.2011
** authors: Petr Pehal,      xpehal00@stud.fit.vutbr.cz
**          Rostislav Striz, xstriz03@stud.fit.vutbr.cz
**          Jakub Splichal,  xsplic03@stud.fit.vutbr.cz
**
**************************************************************************************************/

import Qt 4.7

Rectangle {
    // Text and icon for the Toolbar item
    property string toolbarItemTitle: ""
    property string toolbarItemIcon: ""

    property url source: ""

    // If backsteppingEnabled is set to true, the ToolbarView must implement
    // backsteppingExits() and backstep() functions, which return true or false
    // depeding on whether backstepping signal should exit or send a backstep()
    // signal
    property bool backsteppingEnabled : false

    // Controls whether the backstepping button in the HeaderView should exit
    // when this view is active. When set to false backstep() signal is emitted when
    // backstepping button is pressed
    property bool backsteppingExits : getBacksteppingExits()

    function makeCurrent() {
        pageLoader.source = source
    }

    function getBacksteppingExits() {
        if (backsteppingEnabled == false) {
            return true
        }

        return pageLoader.item.backsteppingExits()
    }

    function backstep() {
        pageLoader.item.backstep()
    }

    width: parent.width
    height: parent.height

    Loader {
        id: pageLoader
        anchors.fill: parent
    }

    Behavior on opacity { NumberAnimation { duration: 200} }
}
